/***********************************************************************************************************
 * Copyright (c)  2021 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : systick.h
 * Description : systick driver header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2021-09-26
 ***********************************************************************************************************/
#ifndef __SYSTICK_H__
#define __SYSTICK_H__

#include  "config.h"

#ifdef UM3213xA_USING_SYSTICK

void systick_init(void);																					/* 初始化 */

void systick_irq_init(em_enable_t enbale, void((*pfunc)()));												/* 中断初始化 */

uint32_t systick_get_load(void);																			/* 获取装载值 */

void systick_set_load(uint32_t load);																		/* 设置装载值 */

uint32_t systick_get_count(void);																			/* 获取当前计数值 */

#endif

#endif
